databases/java-qdbm - The NetBSD Packages Collection

Java API of QDBM

QDBM is an embeded database library compatible with GDBM and NDBM.  It
features hash database and B+ tree database and is developed referring
to GDBM for the purpose of the following three points: higher
processing speed, smaller size of a database file, and simpler API.

This package provides the Java interface of QDBM.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

databases/qdbm lang/openjdk11 lang/openjdk11 databases/qdbm

Available binary packages

aarch64:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
aarch64:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
aarch64:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
alpha:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
earmv6hf:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
earmv6hf:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
earmv6hf:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
earmv7hf:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
i386:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 8.0)
i386:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 8.0)
i386:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 8.0)
i386:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
i386:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
i386:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
powerpc:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 8.0)
powerpc:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 8.0)
powerpc:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 8.0)
powerpc:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
powerpc:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
sparc64:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
x86_64:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
x86_64:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
x86_64:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
x86_64:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
x86_64:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 8.0)
x86_64:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 8.0)
x86_64:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 8.0)
x86_64:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
x86_64:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
x86_64:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)
x86_64:java-qdbm-1.0.0.1.8.78.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]